/*************************************************************************
 msqlexpire: module to remove records from a mSQL database based on age.
 ************************************************************************* 
 *
 * Copyright (c), 1994-1995, by B. Scott Burkett
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All modifications to the source code must not be distributed without
 *    the permission of B. Scott Burkett.
 * 4. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *      This product includes software developed by B. Scott Burkett and
 *      other unpaid contributors.
 * 5. The name of B. Scott Burkett may not be used to endorse or promote
 *    products derived from this software without specific prior
 *    written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY B. SCOTT BURKETT AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL B. SCOTT BURKETT OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 ***************************************************************************** 
 $Header: /opt/home/staff/scottb/msqlexpire/RCS/msqlexpire.h,v 1.3 1996/07/06 19:10:20 scottb Exp scottb $
 ***************************************************************************** 
 $Log: msqlexpire.h,v $
 * Revision 1.3  1996/07/06  19:10:20  scottb
 * Added support for the -e (expire by date) switch
 *
 * Revision 1.2  1996/07/06  16:34:10  scottb
 * Added a few more comments to aid in configuration
 *
 * Revision 1.1  1996/07/06  16:06:37  scottb
 * Initial revision
 *
 *****************************************************************************/


/* You may need to modify these for your needs */

/* Your mailer - probably /bin/mail */

#define MAILER		"/bin/mail"

/* These are the files that will be prepended and appended to mail
   notification messages.
*/

#define MAILHEADER	"/etc/msqlexpire.header"
#define MAILFOOTER	"/etc/msqlexpire.footer"

/* The subject line for removal messages */

#define MAILSUBJECT	"Removal Notice"

/* From here down, you are safe... :-) */

#define VERSION	"1.01"

#ifndef TRUE
#define TRUE	1
#define	FALSE	!TRUE
#endif

int db;
char database_name[80];
char table_name[80];
char host_name[80];

int  ttl_field;
int  notify_field;
int  date_field;
int  key_field;
int  safe_mode;
int  expire_by_date;

m_result *result;
m_row row;

extern void ParseCmdLine( int, char ** );
extern void NotifyOwner( void );

